﻿using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;

namespace FileManagerBlazorWasm.Shared.Models
{
    public class DirectoryContent
    {
        public string Guid { get; set; }

        //
        // Summary:
        //     Specify the path for File Manager component.
        public string Path { get; set; }

        //
        // Summary:
        //     Specify the corresponding File Operation name.
        public string Action { get; set; }

        //
        // Summary:
        //     Specify the Rename operation for new name value.
        public string NewName { get; set; }

        //
        // Summary:
        //     Specify the selected items value.
        public string[] Names { get; set; }

        //
        // Summary:
        //     Specify the selected item value.
        public string Name { get; set; }

        //
        // Summary:
        //     Specify the selected item size value.
        public long Size { get; set; }

        //
        // Summary:
        //     Specify the Rename operation for previous name value.
        public string PreviousName { get; set; }

        //
        // Summary:
        //     Specify the file item date modified value.
        public DateTime DateModified { get; set; }

        //
        // Summary:
        //     Specify the file item date created value.
        public DateTime DateCreated { get; set; }

        //
        // Summary:
        //     Specify the file file item having child or not.
        public bool HasChild { get; set; }

        //
        // Summary:
        //     Specify the file item is file or folder.
        public bool IsFile { get; set; }

        //
        // Summary:
        //     Specify the file item Type.
        public string Type { get; set; }

        //
        // Summary:
        //     Specify the file item Id.
        public string Id { get; set; }

        //
        // Summary:
        //     Specify the file item filter path.
        public string FilterPath { get; set; }

        //
        // Summary:
        //     Specify the file item filter id.
        public string FilterId { get; set; }

        //
        // Summary:
        //     Specify the file item parent id.
        public string ParentId { get; set; }

        //
        // Summary:
        //     Specify the file item target path.
        public string TargetPath { get; set; }

        //
        // Summary:
        //     Specify the renamed item file names.
        public string[] RenameFiles { get; set; }

        //
        // Summary:
        //     Specify the file item case sensitive.
        public bool CaseSensitive { get; set; }

        //
        // Summary:
        //     Specify the file item search string.
        public string SearchString { get; set; }

        //
        // Summary:
        //     Specify the permission for view the value.
        public bool ShowHiddenItems { get; set; }

        //
        // Summary:
        //     Specify the data for file items.
        public DirectoryContent[] Data { get; set; }

        //
        // Summary:
        //     Specify the target data for file items.
        public DirectoryContent TargetData { get; set; }

        //
        // Summary:
        //     Specify the permission for file items.
        public AccessPermission Permission { get; set; }

        public IList<IFormFile> UploadFiles { get; set; }

        public DirectoryContent()
        { }
    }
}
